GaussianQuadMultidimIntegrator Class Reference

Integrates a vector or scalar function of vector domain. More...

`#include <ql/experimental/math/multidimquadrature.hpp>`

Inherited by IntegrationBase< GaussianQuadMultidimIntegrator >.

## Public Member Functions

| GaussianQuadMultidimIntegrator (Size dimension, Size quadOrder, Real mu=0.)
Size | order () const
| Integration quadrature order.
template<class RetType_T >
RetType_T | operator() (const boost::function< RetType_T(const std::vector< Real > &arg)> &f) const
| Integrates function f over \( R^{dim} \).
template<class RetType_T >
RetType_T | integrate (const boost::function< RetType_T(const std::vector< Real > &v1)> &f) const
template<>
Real | operator() (const boost::function< Real(const std::vector< Real > &v1)> &f) const
template<>
Real | integrate (const boost::function< Real(const std::vector< Real > &v1)> &f) const

## Detailed Description

Integrates a vector or scalar function of vector domain.

A template recursion along dimensions avoids calling depth test or virtual functions.

## Constructor & Destructor Documentation

GaussianQuadMultidimIntegrator | ( | Size | dimension,
|  | Size | quadOrder,
|  | Real | mu = `0.`
| ) |  |

Parameters

  dimension | The number of dimensions of the argument of the function we want to integrate.
  dimension | Integration variable dimension.
  mu | Parameter in the Gauss Hermite weight (i.e. points load).